跳至內容

Qwen Image Max · Edit

整合

模型 id qwen-image-max/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/qwen-image-max/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此請求: $0.075 75 API 點數 在此頁面執行

取得 API 金鑰
Alibaba 圖像編輯 #qwen-image#max

使用 Qwen Image Max、1 到 3 張依序排列的參考影像和雙語提示詞進行編輯

Alibaba · 圖像

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

•必填 88 / 800

以中文或英文撰寫的要建立之圖像描述。限制為 800 個字元。

•必填 image_urls
拖放檔案,或 · 最多 3 個

提供 1–3 個編輯參考檔案,格式為 JPEG、JPG、PNG(無 alpha)或 WEBP,每個檔案不得超過 10 MB,且各尺寸須介於 384–5000px。在提示詞中,請使用所提供的順序以 'image 1'、'image 2' 與 'image 3' 指定參考圖像。

image_size

覆寫輸出尺寸;未提供時,生成圖像會沿用最後一張輸入圖像的大小。

num_images 預設 1

請求生成的圖像數量。

進階 negative_prompt · output_format · seed · enable_prompt_expansion · enable_safety_checker
0 / 500

要從生成圖像中排除的內容,上限為 500 個字元。

output_format 預設 png

生成圖像的檔案格式。

用於產生可重現結果的隨機種子,範圍為 0 至 2147483647。

POST /run/qwen-image-max/edit?wait=20 報價 → $0.075
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/qwen-image-max/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Qwen Image Max · Edit

根據 `prompt`(最多 800 個字元,可使用中文或英文)和 1 到 3 個 `image_urls` 編輯影像,依序稱為影像 1、2 和 3。支援 `negative_prompt`(最多 500 個字元)、可選的提示詞擴展,以及最多 6 張 jpeg、png 或 webp 輸出。

參數

請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱

名稱類型 預設值允許值 說明
prompt必填
類型string
≤ 800 個字元
以中文或英文撰寫的要建立之圖像描述。限制為 800 個字元。
negative_prompt選填
類型string | null
預設值
≤ 500 個字元
要從生成圖像中排除的內容,上限為 500 個字元。
image_size選填
類型object
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
覆寫輸出尺寸;未提供時,生成圖像會沿用最後一張輸入圖像的大小。
enable_prompt_expansion選填
類型boolean
預設值true
啟用由 LLM 進行的提示詞最佳化,以改善結果。
seed選填
類型integer | null
用於產生可重現結果的隨機種子,範圍為 0 至 2147483647。
enable_safety_checker選填
類型boolean
預設值true
對輸入和輸出進行審核;除非帳戶獲得停用權限且關閉此選項,否則每個請求都會強制執行。
num_images選填 num_outputs
類型integer
預設值1
1 – 6
請求生成的圖像數量。
output_format選填
類型enum
預設值png
jpegpngwebp
生成圖像的檔案格式。
image_urls必填 images
類型url[] · image
≤ 3 個項目
提供 1–3 個編輯參考檔案,格式為 JPEG、JPG、PNG(無 alpha)或 WEBP,每個檔案不得超過 10 MB,且各尺寸須介於 384–5000px。在提示詞中,請使用所提供的順序以 'image 1'、'image 2' 與 'image 3' 指定參考圖像。
必填 標準名稱,也可使用

檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "qwen-image-max/edit",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 75,
    "usd": "0.075",
    "charged": 75,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    ],
    "seed": 42
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
images
array of object {url, content_type, file_name, file_size}模型生成的圖像。
seed
integer生成期間使用的種子值。

更多模型:圖像編輯

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/qwen-image-max/edit.md. 所有模型與指南: https://doitong.com/developers/llms.txt